"{ Package: 'stx:goodies/monticello' }"

PackageInfo subclass:#MCMockPackageInfo
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Mocks'
!


!MCMockPackageInfo class methodsFor:'as yet unclassified'!

initialize
	[self new register] on: MessageNotUnderstood do: []
! !

!MCMockPackageInfo methodsFor:'as yet unclassified'!

classNames
	^ #(	MCMockClassA
		 	MCMockASubclass
			MCMockClassB
			MCMockClassD
			MCMockClassE
			MCMockClassF
			MCMockClassG
			MCMockClassH
			MCMockClassI
		)
!

classes
	^ self classNames 
		select: [:name | Smalltalk hasClassNamed: name]
		thenCollect: [:name | Smalltalk at: name]
!

extensionMethods
	^ Array with: (MethodReference new 
					setStandardClass: MCSnapshotTest 
					methodSymbol: #mockClassExtension)
!

includesClass: aClass
	^self classes includes: aClass
!

includesSystemCategory: categoryName
	^self systemCategories anySatisfy: [:cat | cat sameAs: categoryName]
!

packageName
	^ 'MonticelloMocks'
!

systemCategories
	^ Array with: 'Monticello-Mocks'
! !

!MCMockPackageInfo class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCMockPackageInfo.st,v 1.1 2006-11-22 13:19:37 cg Exp $'
! !

MCMockPackageInfo initialize!
